<template>
  <div>
    <el-dialog  v-model="visible" :z-index="99" :title="title" width="100%" align-center fullscreen>
      <el-form :inline="true" :rules="rules" :model="modalForm" class="demo-form-inline" ref="ruleFormRef">
        <div class="barbox" style="margin-top: -10px;">
          <div class="bar"></div>
          <div class="name">协议信息</div>
        </div>
        <el-row :gutter="20">
          <el-col :span="8">
            <el-form-item label="标题：" prop="agreement_title">
              <el-input v-model="modalForm.agreement_title" style="width: 340px" placeholder="请输入标题" />
            </el-form-item>
          </el-col>
        
        </el-row>
        <el-row :gutter="20">
        </el-row>
        <el-row :gutter="20">
          <el-col :span="24">
            <el-form-item label="协议内容：" prop="agreement_content">
              <ueditor v-if="visible" v-model="modalForm.agreement_content"   :id="'agreement_content'" ></ueditor>
            </el-form-item>
          </el-col>
        </el-row>
      </el-form>
      <el-divider />
      <div class="barbox">
        <div class="bar"></div>
        <div class="name">操作</div>
      </div>
      <el-row :gutter="20">
        <el-col :span="16">
          <el-form-item label="" style="padding-left:30px">
            <el-button @click="visible = false">取消</el-button>
            <el-button type="primary" @click="submit(ruleFormRef)">
              确定
            </el-button>
          </el-form-item>
        </el-col>
      </el-row>

      <!-- <template #footer>
      <div class="dialog-footer">
        <el-button @click="visible = false">取消</el-button>
        <el-button type="primary" @click="submit">
          确定
        </el-button>
      </div>
    </template> -->
    </el-dialog>
    <el-dialog v-model="dialogVisible" title="温馨提示" width="400">
      <span>确定取消该订单？</span>
      <template #footer>
        <div class="dialog-footer">
          <el-button @click="dialogVisible = false">取消</el-button>
          <el-button type="primary" @click="confirmCancel">
            Confirm
          </el-button>
        </div>
      </template>
    </el-dialog>
  </div>

</template>

<script setup>
import { onBeforeMount, reactive, ref, nextTick } from 'vue';
import { useRouter, useRoute } from 'vue-router'
import userApi from "../api/user";
import { ElMessage } from "element-plus";
import { formatOrderStatus, formatRefundStatus, formatDate } from '../utils/format'

const ruleFormRef = ref(null);
const method=ref(null);
const emit=defineEmits(['refreshList']);
const modalForm = reactive({
  agreement_id: '',
  agreement_content:''
})
const rules = reactive({
  agreement_title:[
    {
      required: true,
      message: '请输入标题',
      trigger: 'blur',
    }
  ],
  agreement_content:[
    {
      required: true,
      message: '请输入协议内容',
      trigger: 'blur',

   }
  ]
});
const handleAdd = () => {
  if (!modalForm.agreement_id) {
     delete modalForm.agreement_id
  }
  userApi.saveAgree(modalForm).then((res) => {
    let result = res;
    if (result.code == 200) {
        ElMessage.success("添加成功");
        visible.value = false;
        emit('refreshList')
    }

  })
};
const handleEdit = () => {
  userApi.editAgree(modalForm.agreement_id,modalForm).then((res) => {
    let result = res;
    if (result.code == 200) {
        ElMessage.success("修改成功");
        visible.value = false;
        emit('refreshList')
    }

  })
};


const submit = async(form) => {
  await form.validate((valid, fields) => {
    if (valid) {
      method.value === 'edit'?handleEdit() : handleAdd()
    } else {
      console.log('error submit!', fields)
    }
 
  });
}
const visible = ref(false);
const dialogVisible = ref(false);
const title = ref('订单详情')
const route = useRoute();
const router = useRouter();


const cancelOrder = () => {

};
const confirmCancel = () => {
  dialogVisible.value = false;
  cancelOrder()

}

const init = (type, id) => {
  visible.value = true;
  method.value = type;
  modalForm.agreement_id = id;
  if (method.value === 'edit') {
    title.value = '编辑隐私协议'
  } else if (method.value === 'view') {
    title.value = '新建隐私协议'
  }
 
  nextTick(() => {
    ruleFormRef.value.resetFields();
    modalForm.class_brief = '';
    if (method.value === 'edit') {
      userApi.getAgreeDetail(modalForm.agreement_id).then((res) => {
        let result = res.data;
        Object.assign(modalForm, result);

      })
    }
  })

}

defineExpose({
  init
});
</script>

<style lang="scss" scoped>
.barbox {
  margin: 10px 0;
  display: flex;
  align-items: center;

  .bar {
    width: 4px;
    height: 25px;
    background: var(--el-color-primary);
  }

  .name {
    margin-left: 8px;
    font-size: 16px;
  }
}
</style>